Bug 476414 - Review Request: assogiate - Editor for the file types database
Review Request: assogiate - Editor for the file types database
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 07:52 EST by Fabian Affolter
Modified: 2009-01-14 22:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 22:01:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
the Czech message catalog (15.58 KB, text/x-gettext-translation)
2008-12-17 06:23 EST, Lubos Stanek
no flags Details
modify sources to include the new message catalog (242 bytes, patch)
2008-12-17 06:25 EST, Lubos Stanek
no flags Details | Diff

  None (edit)
Description Fabian Affolter 2008-12-14 07:52:23 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/assogiate.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/assogiate-0.2.1-1.fc9.src.rpm

Project URL: http://www.kdau.com/projects/assogiate/

Description:
assoGiate allows users to modify the detection and display of file
types. It is compliant with the freedesktop.org Shared MIME Info and
Icon Theme specifications. The standard file types can be modified, 
and additional file types can be added and removed. The file type
detection based on filenames, file contents, and XML root elements
can be specified.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=997883 

rpmlint output:
[fab@laptop024 i386]$ rpmlint assogiate*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint assogiate-0.2.1-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2008-12-14 11:51:26 EST
I think this package better should not own following directories
/usr/share/icons/hicolor
/usr/share/icons/hicolor/*/apps/
instead you can add
Requires: hicolor-icon-theme

so yours %files will then list icon files as
%{_datadir}/icons/hicolor/*/*/*
Comment 2 Fabian Affolter 2008-12-14 16:01:07 EST
(In reply to comment #1)
> I think this package better should not own following directories
> /usr/share/icons/hicolor
> /usr/share/icons/hicolor/*/apps/
> instead you can add
> Requires: hicolor-icon-theme
> 
> so yours %files will then list icon files as
> %{_datadir}/icons/hicolor/*/*/*

Thanks, changed and 'Requires: hicolor-icon-theme' added

Updated files are here:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/assogiate.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/assogiate-0.2.1-2.fc9.src.rpm
Comment 3 Parag AN(पराग) 2008-12-15 00:25:46 EST
+ is OK
- Needs work

Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=998757
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
30cc5c89f9bfeffaf50e366ee309c7fc  assogiate-0.2.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scrollkeeper and gtk-update-icon-cache scriptlets are used.
+ GUI app.

APPROVED.
Comment 4 Fabian Affolter 2008-12-15 03:52:18 EST
New Package CVS Request
=======================
Package Name: assogiate
Short Description: Editor for the file types database
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Dennis Gilmore 2008-12-15 15:43:09 EST
CVS Done
Comment 6 Fedora Update System 2008-12-15 17:43:00 EST
assogiate-0.2.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/assogiate-0.2.1-2.fc9
Comment 7 Fedora Update System 2008-12-15 17:43:03 EST
assogiate-0.2.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/assogiate-0.2.1-2.fc10
Comment 8 Lubos Stanek 2008-12-17 06:22:33 EST
I created the Czech localization for assoGiate some time ago. It would be great to add it to the package.

It was not possible to push it into the upstream. The author has not replied either my mails or his web contact form.
Comment 9 Lubos Stanek 2008-12-17 06:23:49 EST
Created attachment 327228 [details]
the Czech message catalog
Comment 10 Lubos Stanek 2008-12-17 06:25:19 EST
Created attachment 327229 [details]
modify sources to include the new message catalog
Comment 11 Fabian Affolter 2008-12-18 03:07:45 EST
assogiate has broken dependencies in the development tree:
On ppc:
        assogiate-0.2.1-2.fc11.ppc requires hicolor-icon-theme
On x86_64:
        assogiate-0.2.1-2.fc11.x86_64 requires hicolor-icon-theme
On i386:
        assogiate-0.2.1-2.fc11.i386 requires hicolor-icon-theme
On ppc64:
        assogiate-0.2.1-2.fc11.ppc64 requires hicolor-icon-theme
Comment 13 Fedora Update System 2008-12-21 03:22:34 EST
assogiate-0.2.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update assogiate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11447
Comment 14 Fedora Update System 2008-12-21 03:25:50 EST
assogiate-0.2.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update assogiate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11452
Comment 15 Fedora Update System 2009-01-14 22:01:36 EST
assogiate-0.2.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-01-14 22:07:08 EST
assogiate-0.2.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.